API reference › Places & time

Birth Place Search API

Search birth places

GET/v1/places/search

1 credit · Secret key (test or live) · searchPlaces

Parameters

NameInTypeNotes
q requiredquerystring at least 2 characters
countryquerystring
limitqueryinteger ≥ 1 · ≤ 100 · default 20

Response

JSON { data, meta, warnings }, where data is:

  • results array of PlaceResult required
    • place_id string required
    • name string required
    • state string
    • country string required
    • latitude number required
    • longitude number required
    • timezone string required
    • population integer

Errors: 400, 401, 403, 404, 422, 429, 500. See error codes.

Example request

curl 'https://api.astrologics.in/v1/places/search?q=Noida' \
  -H 'Authorization: Bearer al_test_YOUR_KEY'
Node.js
const res = await fetch("https://api.astrologics.in/v1/places/search?q=Noida", {
  headers: { Authorization: "Bearer al_test_YOUR_KEY" },
});
console.log(JSON.stringify(await res.json(), null, 2));
Python
import json
import urllib.error
import urllib.request

req = urllib.request.Request(
    "https://api.astrologics.in/v1/places/search?q=Noida",
    method="GET",
    headers={"Authorization": "Bearer al_test_YOUR_KEY"},
)
try:
    with urllib.request.urlopen(req) as res:
        print(json.dumps(json.load(res), indent=2, ensure_ascii=False))
except urllib.error.HTTPError as err:
    print(err.code, err.read().decode())
PHP
<?php
$ch = curl_init('https://api.astrologics.in/v1/places/search?q=Noida');
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_HTTPHEADER => ['Authorization: Bearer al_test_YOUR_KEY'],
    CURLOPT_RETURNTRANSFER => true,
]);
echo curl_exec($ch), PHP_EOL;

Example response

200 OK · 2,067 characters
{
  "data": {
    "results": [
      {
        "place_id": "pl_2028",
        "name": "Noida",
        "country": "India",
        "latitude": 28.58,
        "longitude": 77.33,
        "timezone": "Asia/Kolkata",
        "state": "Uttar Pradesh",
        "population": 293908
      },
      {
        "place_id": "pl_106077",
        "name": "Noidans-lès-Vesoul",
        "country": "France",
        "latitude": 47.61299,
        "longitude": 6.12571,
        "timezone": "Europe/Paris",
        "state": "Bourgogne",
        "population": 2163
      },
      {
        "place_id": "pl_328080",
        "name": "Noidan",
        "country": "France",
        "latitude": 47.34536,
        "longitude": 4.40881,
        "timezone": "Europe/Paris",
        "state": "Bourgogne",
        "population": 82
      },
      {
        "place_id": "pl_182020",
        "name": "Noidans-le-Ferroux",
        "country": "France",
        "latitude": 47.57004,
        "longitude": 5.95492,
        "timezone": "Europe/Paris",
        "state": "Bourgogne",
        "population": 603
      },
      {
        "place_id": "pl_271822",
        "name": "Noidant-le-Rocheux",
        "country": "France",
        "latitude": 47.83008,
        "longitude": 5.25433,
        "timezone": "Europe/Paris",
        "state": "Grand Est",
        "population": 191
      },
      {
        "place_id": "pl_323512",
        "name": "Noidant-Chatenoy",
        "country": "France",
        "latitude": 47.79427,
        "longitude": 5.37558,
        "timezone": "Europe/Paris",
        "state": "Grand Est",
        "population": 89
      },
      {
        "place_id": "pl_2059631",
        "name": "Noidanniemi",
        "country": "Finland",
        "latitude": 60.91667,
        "longitude": 26.46667,
        "timezone": "Europe/Helsinki",
        "state": "Paijat-Hame",
        "population": 0
      }
    ]
  },
  "meta": {
    "request_id": "req_example",
    "api_version": "v1",
    "engine_version": "2026.10.4",
    "mode": "live",
    "credits_charged": 1
  },
  "warnings": []
}
Try it

Leave empty to use the shared demo key (limited). Test keys only: never charged. Kept in this browser tab and sent through this site to the API. Create one

More in Places & time

Get a free API key Places & time product page